#!/bin/sh
#
# run this shell as postmaster to create tticket database
# when the postmaster is already running
#

echo "setting up database for trouble ticket system"

# 1. create the ticketmaster 
createuser --createdb --adduser --pwprompt ticketmaster

# 2. create database

createdb --username ticketmaster tticket "a trouble ticket system"

# 3. enable tcl as internal language

createlang pltclu tticket

# 4. the database schema

psql tticket ticketmaster -f tt.sql


